ubuntu下能否不重新编译vim而添加lua等支持?

Vim、Emacs配置和使用
回复
luopuya
帖子: 23
注册时间: 2013-11-23 14:00
送出感谢: 0
接收感谢: 0

ubuntu下能否不重新编译vim而添加lua等支持?

#1

帖子 luopuya » 2013-11-23 14:28

主要问题如题,下文是郁闷经历:
(Ubuntu 12.04, Vim7.4)
1、首先是自己尝试过编译vim7.4源码,在安装python/python3/ruby/lua5.1及对应的dev/lib后(总共8个),没有问题。(+python/dyn, +python3/dyn, +lua, + ruby)
2、现在在新系统上,通过添加ppa安装vim7.4,(此时仅有python,未有剩下的7个),版本是(+python, -python3, -lua, -ruby),
在这种情况下,该如何简单实现添加lua等支持
头像
lilydjwg
论坛版主
帖子: 4164
注册时间: 2009-04-11 23:46
系统: Arch Linux
送出感谢: 11 次
接收感谢: 127 次
联系:

Re: ubuntu下能否不重新编译vim而添加lua等支持?

#2

帖子 lilydjwg » 2013-11-27 0:22

添加 Lua 支持需要重新编译的。编译起来很简单,依赖的包都装好,编译,安装。下边是我曾经用的配置:
[bash]
#!/bin/bash -e

./configure \
--enable-gui=gtk2 --enable-fontset --disable-xsmp \
--enable-python3interp --enable-rubyinterp=dynamic --enable-pythoninterp \
--enable-luainterp=dynamic --enable-perlinterp=dynamic \
--enable-cscope --enable-multibyte --with-features=huge \
--with-compiledby=百合仙子 --with-modified-by=百合仙子

make -j2
sudo make install
[/bash]

如果你知道怎么取得 Ubuntu 打包用的配置文件的话,也可以直接用那个做成 deb 包。
我在 Arch Linux 下是改官方的 PKGBUILD 再打包安装的。
冷风一夜
帖子: 11
注册时间: 2009-06-12 21:29
送出感谢: 0
接收感谢: 0

Re: ubuntu下能否不重新编译vim而添加lua等支持?

#3

帖子 冷风一夜 » 2013-12-02 18:56

很简单,先把已经安装的vim和Gvim删除了,然后更换一个源:
$ sudo add-apt-repository ppa:fcwu-tw/ppa
$ sudo apt-get update
$ sudo apt-get install vim
经试用发现这个源里的vim已经带了+lua。
然后安装上neocomplete,感觉一下到了现代。
头像
Fermat618
帖子: 728
注册时间: 2008-12-28 16:01
送出感谢: 2 次
接收感谢: 15 次

Re: ubuntu下能否不重新编译vim而添加lua等支持?

#4

帖子 Fermat618 » 2013-12-03 11:39

你自己会编译就自己编译呗,ppa 之类的是靠的别人编译好的东西,哪有自己编译来得舒服。况且 vim 的编译还很容易。
apt-get build-dep vim
这个可以安装除 +lua, +python 等特性之外的其它依赖包。
爱因斯坦会弹钢琴
爱因斯坦会拉小提琴
爱因斯坦会骑自行车
回复

回到 “Vim和Emacs”